Index: branches/bsp_model/src/lib/graphics/importer/bsp_file.cc
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/bsp_file.cc	(revision 8288)
+++ branches/bsp_model/src/lib/graphics/importer/bsp_file.cc	(revision 8317)
@@ -214,8 +214,8 @@
     bspFile.read(this->visData, size);
 
-    PRINTF(4)("BSP FILE: VisDataSize: %i Bytes. \n", size);
-    PRINTF(4)("BSP FILE: NumVisData: %i. \n", size /1 - 8);
-    PRINTF(4)("BSP FILE: Remainder: %i. \n", size % 1);
-    PRINTF(4)("BSP FILE: VisDataOffset: %i. \n", offset);
+    PRINTF(0)("BSP FILE: VisDataSize: %i Bytes. \n", size);
+    PRINTF(0)("BSP FILE: NumVisData: %i. \n", size /1 - 8);
+    PRINTF(0)("BSP FILE: Remainder: %i. \n", size % 1);
+    PRINTF(0)("BSP FILE: VisDataOffset: %i. \n", offset);
 
     // Get the Textures
@@ -391,5 +391,5 @@
 {
   ::std::string absFileName;
-   char* baseName = "/worlds/bsp";
+  char* baseName = "/worlds/bsp/";
 
   char fileName [500];
Index: branches/bsp_model/src/lib/graphics/importer/bsp_manager.cc
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/bsp_manager.cc	(revision 8288)
+++ branches/bsp_model/src/lib/graphics/importer/bsp_manager.cc	(revision 8317)
@@ -103,7 +103,18 @@
 const void BspManager::tick(float time)
 {
-  //if(!this->bspFile->MovieMaterials.empty())
-  //this->bspFile->MovieMaterials.front()->tick(time );
-
+ 
+  if(!this->bspFile->MovieMaterials.empty())
+  {
+      ::std::vector<MoviePlayer *>::iterator it = this->bspFile->MovieMaterials.begin() ;
+      while(it != this->bspFile->MovieMaterials.end())
+      {
+         (*it)->tick(time); 
+        it++;
+      }
+ //this->bspFile->MovieMaterials.front()->tick(time );
+  
+  
+  }
+  
 }
 const void BspManager::draw()
@@ -302,11 +313,13 @@
     return;
   }
-  if(curFace.type != 1) return;
+ // if(curFace.type != 1) return;
   if((char*)(this->bspFile->textures)[curFace.texture*72]== 0) return;
 
   if(this->lastTex != curFace.texture) {
     if(this->bspFile->Materials[curFace.texture].animated) {
-      glBlendFunc(GL_ZERO,GL_ONE);
-      //glEnable(GL_BLEND);
+     // glBlendFunc(GL_ZERO,GL_ONE);
+   
+    
+      
       if(this->bspFile->Materials[curFace.texture].aviMat->getStatus() == 2) this->bspFile->Materials[curFace.texture].aviMat->start(0);
       //this->bspFile->Materials[curFace.texture].aviMat->tick(0.005);
@@ -314,5 +327,6 @@
       glActiveTextureARB(GL_TEXTURE0_ARB);
       glBindTexture(GL_TEXTURE_2D, n );
-     // glDisable(GL_BLEND);
+      this->lastTex = curFace.texture;
+      
     } else {
       this->bspFile->Materials[curFace.texture].mat->select();
@@ -322,4 +336,5 @@
 
   if(curFace.lm_index < 0) {
+    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
     glActiveTextureARB(GL_TEXTURE1_ARB);
     glBindTexture(GL_TEXTURE_2D, this->bspFile->whiteLightMap );
@@ -922,6 +937,13 @@
 
     this->checkCollisionRayN(this->root,0.0f,1.0f, &position, &dest );
-    if(this->outputFraction == 1.0f) out = dest;
+    if(this->outputFraction == 1.0f)
+    {
+      if(this->outputAllSolid) collision = true;
+      else collision = false;
+      out = dest;
+      
+    }
     else {
+      
       collision = true;
       out.x = position.x + (dest.x -position.x) * this->outputFraction;
@@ -944,5 +966,5 @@
     // Return the normal here: Normal's stored in this->collPlane;
 
-    if(collision) {
+    if(collision ) {
       PRINTF(0)("We got a collision!! Are you sure: outputFraction = %f\n", this->outputFraction);
       worldEntity->registerCollision(this->parent, worldEntity, Vector(this->collPlane->x, this->collPlane->y, this->collPlane->z), out);
Index: branches/bsp_model/src/lib/graphics/importer/bsp_manager.h
===================================================================
--- branches/bsp_model/src/lib/graphics/importer/bsp_manager.h	(revision 8288)
+++ branches/bsp_model/src/lib/graphics/importer/bsp_manager.h	(revision 8317)
@@ -109,4 +109,6 @@
   Vector out1; //!< For debugging only
   Vector out2; //!< For debugging only
+                        
+  int tgl;
 };
 
